package org.apache.xerces.impl.xs.psvi;

public interface XSElementDeclaration extends XSTerm {
  short getConstraintType();
  
  short getDisallowedSubstitutions();
  
  short getScope();
  
  short getSubstitutionGroupExclusions();
  
  boolean getAbstract();
  
  boolean getNillable();
  
  boolean isDisallowedSubstitution(short paramShort);
  
  boolean isSubstitutionGroupExclusion(short paramShort);
  
  String getConstraintValue();
  
  XSAnnotation getAnnotation();
  
  XSComplexTypeDefinition getEnclosingCTDefinition();
  
  XSElementDeclaration getSubstitutionGroupAffiliation();
  
  XSNamedMap getIdentityConstraints();
  
  XSTypeDefinition getTypeDefinition();
}
